View Issue Details

IDProjectCategoryView StatusLast Update
0000327MySQL v5 for OS/2 & eComStationBugpublic2009-04-25 06:05
ReporterkhsAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status feedbackResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0000327: no slow query file with mysql 5.1.32
DescriptionI set the following option in the my.cnf but there is no log file created.

slow_query_log = 1
slow_query_log_file = h:/data/mysql5/slow_queries.log

The status output in mysql:

slow query log ON
slow query log file h:/data/mysql5/slow_queries.log

But there is no file in the directory.
TagsNo tags attached.

Activities

psmedley

2009-03-12 07:14

administrator   ~0001246

I assume you've reviewed the documentation at http://dev.mysql.com/doc/refman/5.1/en/slow-query-log.html to understand the changes introduced in 5.1? I'll try look at this tonight anyway

khs

2009-03-21 21:29

reporter   ~0001262

I know that the configuration with 5.1 was changed. The old syntax is working with mysql 5.0.67.

khs

2009-04-07 22:00

reporter   ~0001275

Last edited: 2009-04-07 22:33

changed: Problem is not fixed with mysql 5.1.33.

psmedley

2009-04-08 07:11

administrator   ~0001276

Resolved in 5.1.33

khs

2009-04-08 19:57

reporter   ~0001277

A possible reason for the log file problem could be the option "datadir".
In the past it was set with "datadir=h:/data/mysql5" and the slow query logfile is missing. I test it today without "datadir" and the data directory as subdir of the program directory and now i see the slow.log.

khs

2009-04-08 20:30

reporter   ~0001278

After "running mysql_upgrade.exe --force" the slow queries log file is written. But I need to run the upgrade after every startup of mysqld.

khs

2009-04-25 06:05

reporter   ~0001295

Same situation with MySQL 5.1.34. The mysql_upgrade fix the problem for the running server. After shutdown it is broken again.

Issue History

Date Modified Username Field Change
2009-03-08 09:10 khs New Issue
2009-03-12 07:14 psmedley Note Added: 0001246
2009-03-21 21:29 khs Note Added: 0001262
2009-04-07 22:00 khs Note Added: 0001275
2009-04-07 22:33 khs Note Edited: 0001275
2009-04-08 07:11 psmedley Note Added: 0001276
2009-04-08 07:11 psmedley Status new => closed
2009-04-08 07:11 psmedley Resolution open => fixed
2009-04-08 19:57 khs Note Added: 0001277
2009-04-08 19:57 khs Status closed => feedback
2009-04-08 19:57 khs Resolution fixed => reopened
2009-04-08 20:30 khs Note Added: 0001278
2009-04-25 06:05 khs Note Added: 0001295